//
//  ViewController.m
//  TextGudge
//
//  Created by xsw on 16/6/3.
//  Copyright © 2016年 xsw. All rights reserved.
//

#import "ViewController.h"
#import "NSString+Gudge.h"
@interface ViewController ()<UITextFieldDelegate>

@property (weak, nonatomic) IBOutlet UITextField *tf_text;
@property (weak, nonatomic) IBOutlet UITextField *tf_number;
@property (weak, nonatomic) IBOutlet UITextField *tf_email;
@property (weak, nonatomic) IBOutlet UITextField *tf_pws;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)tfBtnClick:(id)sender {
    if ([self.tf_text.text emptyOrWhitespace]) {
        [self alertView:@"不能为空"];
    }
}

- (IBAction)numberBtnClick:(id)sender {
    if (![self.tf_number.text telephone]) {
        [self alertView:@"号码无效"];
    }
}

- (IBAction)emailBtnClick:(id)sender {
    if (![self.tf_email.text email]) {
        [self alertView:@"无效邮箱"];
    }
}

- (IBAction)pwsBtnClick:(id)sender {
    if (![self.tf_pws.text weakPswd]) {
        [self alertView:@"密码太low"];
    }
}

- (void)alertView:(NSString*)message{
    UIAlertView *alter = [[UIAlertView alloc] initWithTitle:@"温馨提示" message:message delegate:self cancelButtonTitle:nil otherButtonTitles:@"确定", nil];
    [alter show];
}


@end
